# Created by pyp2rpm-1.0.1
%global pypi_name pyp2rpm
%define git 1

%if %git
%define _internal_version  519bb99
%define date 20150715
%define release %mkrel -c %{date}.git%{_internal_version} %{rel}
%define filever %{version}.git%{_internal_version}
%else
%define release %mkrel %{rel}
%define filever %{version}
%endif

%define rel     5

Name:           python-pyp2rpm
Version:        1.1.3
Release:        %{release}
Group:          Development/Python
Summary:        Convert Python packages to RPM SPECFILES
License:        MIT
URL:            http://pypi.python.org/pypi/pyp2rpm
#Source0:        http://pypi.python.org/packages/source/p/pyp2rpm/pyp2rpm-%%{version}.tar.gz

Source0:        pyp2rpm-%{version}.git%{_internal_version}.tar.gz
#SourceGet0: https://github.com/fedora-python/pyp2rpm/tarball/%%{_internal_version}

BuildArch:      noarch
Patch0:         pyp2rpm-mageia.patch
Patch1:         pyp2rpm-mageia-string.patch 

BuildRequires:  python-devel
BuildRequires:  python-pytest
BuildRequires:  python-flexmock >= 0.9.3
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-flexmock >= 0.9.3
BuildRequires:  python3-setuptools
 
Requires:       python-jinja2
Requires:       python-setuptools
Requires:       python-click

%description 
Convert Python packages to RPM SPECFILES. The packages can be
downloaded from PyPI and the produced SPEC is in line with Fedora
Packaging Guidelines or Mageia Python Policy.

Users can provide their own templates for rendering the package
metadata. Both the package source and metadata can be extracted from
PyPI or from local filesystem (local file doesn't provide that much
information though).

%package -n python3-pyp2rpm
Group:          Development/Python
Summary:        Convert Python packages to RPM SPECFILES
License:        MIT
Requires:       python3-jinja2
Requires:       python3-setuptools
Requires:       python3-click

%description -n python3-pyp2rpm
Convert Python packages to RPM SPECFILES. The packages can be
downloaded from PyPI and the produced SPEC is in line with Fedora
Packaging Guidelines or Mageia Python Policy.

Users can provide their own templates for rendering the package
metadata. Both the package source and metadata can be extracted from
PyPI or from local filesystem (local file doesn't provide that much
information though).

%prep
%if %git
%setup -q -n fedora-python-pyp2rpm-%{_internal_version}
%else
%setup -q -n %{pypi_name}-%{version}
%endif
%patch0 -p1
%patch1 -p1
sed -i -e s!'distribute'!'setuptools'!g setup.py
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/pyp2rpm %{buildroot}%{_bindir}/pyp2rpm3
popd

%py2_install

%files
%doc README.rst LICENSE
%{_bindir}/pyp2rpm
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}*egg-info/*

%files -n python3-%{pypi_name}
%{_bindir}/pyp2rpm3
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*egg-info/*


%changelog
* Sun Jan 08 2017 daviddavid <daviddavid> 1.1.3-0.20150715.git519bb99.5.mga6
+ Revision: 1080671
- rebuild against python(3)-pytest

* Fri Oct 09 2015 daviddavid <daviddavid> 1.1.3-0.20150715.git519bb99.4.mga6
+ Revision: 888624
- rebuild for python 3.5
- use new python macros

* Sun Jul 19 2015 joequant <joequant> 1.1.3-0.20150715.git519bb99.3.mga6
+ Revision: 855300
- fix pyp2rpm/python3 error

* Sat Jul 18 2015 joequant <joequant> 1.1.3-0.20150715.git519bb99.2.mga6
+ Revision: 855102
- add require for click

* Thu Jul 16 2015 joequant <joequant> 1.1.3-0.20150715.git519bb99.1.mga6
+ Revision: 854584
- upgrade to latest git

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 747238
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-7.mga5
+ Revision: 729483
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 688267
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 543975
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-3.mga4
+ Revision: 499258
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 25 2013 joequant <joequant> 1.0.1-2.mga4
+ Revision: 457947
- add setuptools build requires
- switch to use setuptools
- add joequant's fixes
- add extra patches and add bindir files

* Mon Jan 28 2013 joequant <joequant> 1.0.1-1.mga3
+ Revision: 392906
- upgrade to 1.0.1
- add category
- imported package python-pyp2rpm

